## golang-github-cloudflare-cfssl 1.2.0%2Bgit20160825.89.7fb22c8

=== debian/changelog ===
golang-github-cloudflare-cfssl (1.2.0+git20160825.89.7fb22c8-3.1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:54 +1200

golang-github-cloudflare-cfssl (1.2.0+git20160825.89.7fb22c8-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:35:45 +0100

golang-github-cloudflare-cfssl (1.2.0+git20160825.89.7fb22c8-3) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from
    Depends 

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 15:18:51 +0300

golang-github-cloudflare-cfssl (1.2.0+git20160825.89.7fb22c8-2) unstable; urgency=medium

  * Ignore binary-without-manpage Lintian message.
  * Rename "mkbundle" binary to "cfssl-mkbundle" to avoid name clash
    with mon-devel package. (Closes: #855509)
  * Fix more test failures due to Debian build directory.
  * Don't bundle test binaries maclient and maserver.

 -- Tim Potter <tpot@hpe.com>  Fri, 14 Apr 2017 12:27:22 +1000

golang-github-cloudflare-cfssl (1.2.0+git20160825.89.7fb22c8-1) unstable; urgency=medium

  * Initial release (Closes: #854526)
  * Dummy changelog entry to refresh signature on changes file.

 -- Tim Potter <tpot@hpe.com>  Fri, 04 Nov 2016 12:39:48 +1100

## golang-github-cloudflare-cfssl 1.6.5

=== Makefile ===
VERSION := $(shell git describe --tags --abbrev=0 | tr -d '[:alpha:]')
LDFLAGS := "-s -w -X github.com/cloudflare/cfssl/cli/version.version=$(VERSION)"

export GOFLAGS := -mod=vendor
export GOPROXY := off

.PHONY: all
all: bin/cfssl bin/cfssl-bundle bin/cfssl-certinfo bin/cfssl-newkey bin/cfssl-scan bin/cfssljson bin/mkbundle bin/multirootca

bin/%: $(shell find . -type f -name '*.go')
	@mkdir -p $(dir $@)
ifneq ($(and $(TARGETOS),$(TARGETARCH)),)
	GOOS=$(TARGETOS) GOARCH=$(TARGETARCH) go build -ldflags $(LDFLAGS) -o $@ ./cmd/$(@F)
else
	go build -ldflags $(LDFLAGS) -o $@ ./cmd/$(@F)
endif

.PHONY: install
install: install-cfssl install-cfssl-bundle install-cfssl-certinfo install-cfssl-newkey install-cfssl-scan install-cfssljson install-mkbundle install-multirootca

.PHONY: install-%
install-%:
	go install ./cmd/$(@F:install-%=%)

.PHONY: serve
serve: bin/cfssl
serve:
	./bin/cfssl serve

bin/goose: $(shell find vendor -type f -name '*.go')
	@mkdir -p $(dir $@)
ifneq ($(and $(TARGETOS),$(TARGETARCH)),)
	GOOS=$(TARGETOS) GOARCH=$(TARGETARCH) go build -o $@ ./vendor/bitbucket.org/liamstask/goose/cmd/goose
else
	go build -o $@ ./vendor/bitbucket.org/liamstask/goose/cmd/goose
endif

.PHONY: clean
clean:
	rm -rf bin *.deb *.rpm

# Check that given variables are set and all have non-empty values,
# die with an error otherwise.
#
# Params:
#   1. Variable name(s) to test.
#   2. (optional) Error message to print.
#
# cf: https://stackoverflow.com/questions/10858261/abort-makefile-if-variable-not-set
check_defined = \
	$(strip $(foreach 1,$1, \
		$(call __check_defined,$1,$(strip $(value 2)))))
__check_defined = \
	$(if $(value $1),, \
		$(error Undefined $1$(if $2, ($2))))

.PHONY: snapshot
snapshot:
	docker run \
	--rm \
    -v $(PWD):/cross \
    -w /cross \
    ghcr.io/goreleaser/goreleaser-cross:latest --clean --snapshot --skip-publish

.PHONY: github-release
github-release:
	@:$(call check_defined, GITHUB_TOKEN)

	docker run \
	--rm \
	-e GITHUB_TOKEN=$(GITHUB_TOKEN) \
    -v $(PWD):/cross \
    -w /cross \
    ghcr.io/goreleaser/goreleaser-cross:latest --clean

.PHONY: docker-build
docker-build:
	docker build -f Dockerfile -t cfssl/cfssl:$(VERSION) .
.PHONY: docker-push
docker-push:
	docker push cfssl/cfssl:$(VERSION)

.PHONY: release
release: github-release docker-build docker-push

BUILD_PATH   := $(CURDIR)/build
INSTALL_PATH := $(BUILD_PATH)/usr/local/bin

FPM = fakeroot fpm -C $(BUILD_PATH) \
	-a $(shell uname -m) \
	-s dir \
	-v $(VERSION) \
	--url 'https://github.com/cloudflare/cfssl' \
	--vendor Cloudflare \
	-n cfssl

.PHONY: package
package: package-deb package-rpm

.PHONY: package-deb
package-deb: all
	$(RM) -r build
	mkdir -p $(INSTALL_PATH)
	cp bin/* $(INSTALL_PATH)
	$(FPM) -t deb .

.PHONY: package-rpm
package-rpm: all
	$(RM) -r build
	mkdir -p $(INSTALL_PATH)
	cp bin/* $(INSTALL_PATH)
	$(FPM) -t rpm .

## golang-github-cloudflare-cfssl 1.2.0+git20160825.89.7fb22c8

=== debian/control ===
Source: golang-github-cloudflare-cfssl
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               dh-exec,
               golang-github-cloudflare-go-metrics-dev,
               golang-github-cloudflare-redoctober-dev,
               golang-github-geertjohan-go.rice-dev,
               golang-github-google-certificate-transparency-dev,
               golang-github-jmhodges-clock-dev,
               golang-github-jmoiron-sqlx-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-kisielk-sqlstruct-dev,
               golang-github-kisom-goutils-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-any
Standards-Version: 3.9.8
Homepage: https://github.com/cloudflare/cfssl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-cloudflare-cfssl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-cloudflare-cfssl.git
XS-Go-Import-Path: github.com/cloudflare/cfssl

Package: golang-github-cloudflare-cfssl-dev
Architecture: all
Depends: golang-github-cloudflare-go-metrics-dev,
         golang-github-cloudflare-redoctober-dev,
         golang-github-geertjohan-go.rice-dev,
         golang-github-google-certificate-transparency-dev,
         golang-github-jmhodges-clock-dev,
         golang-github-jmoiron-sqlx-dev,
         golang-github-juju-ratelimit-dev,
         golang-github-kisielk-sqlstruct-dev,
         golang-github-kisom-goutils-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-any,
         ${misc:Depends},
         ${shlibs:Depends}
Description: CloudFlare's PKI and TLS toolkit
 CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command
 line tool and an HTTP API server for signing, verifying, and bundling
 TLS certificates. CFSSL can be used to build custom TLS PKI tools as
 well as create and manipulate traditional certificate structures
 using code or on the command line.
 .
 This package contains the development files.

Package: golang-cfssl
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: CloudFlare's PKI and TLS toolkit
 CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command
 line tool and an HTTP API server for signing, verifying, and bundling
 TLS certificates. CFSSL can be used to build custom TLS PKI tools as
 well as create and manipulate traditional certificate structures
 using code or on the command line.
 .
 This package contains the command line executables.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE=1

export DH_GOLANG_EXCLUDES = whitelist/example

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/cloudflare/cfssl/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-cloudflare-cfssl 1.6.5

=== debian/changelog ===
golang-github-cloudflare-cfssl (1.6.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 07:58:45 +0200

golang-github-cloudflare-cfssl (1.6.5-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Reinhard Tartler ]
  * Team upload.
  * New upstream version, closes: #975550

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 16:03:24 -0400

=== debian/control ===
Source: golang-github-cloudflare-cfssl
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-golang,
               golang-any,
               golang-github-cloudflare-backoff-dev,
               golang-github-cloudflare-go-metrics-dev,
               golang-github-cloudflare-redoctober-dev,
               golang-github-geertjohan-go.rice-dev,
               golang-github-google-certificate-transparency-dev (>= 1.1.7),
               golang-github-jmhodges-clock-dev,
               golang-github-jmoiron-sqlx-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-kisielk-sqlstruct-dev,
               golang-github-kisom-goutils-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-zmap-zlint-dev
Standards-Version: 3.9.8
Homepage: https://github.com/cloudflare/cfssl
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-cfssl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-cfssl.git
XS-Go-Import-Path: github.com/cloudflare/cfssl

Package: golang-github-cloudflare-cfssl-dev
Architecture: all
Depends: golang-any,
         golang-github-cloudflare-backoff-dev,
         golang-github-cloudflare-go-metrics-dev,
         golang-github-cloudflare-redoctober-dev,
         golang-github-geertjohan-go.rice-dev,
         golang-github-google-certificate-transparency-dev (>= 1.1.7),
         golang-github-jmhodges-clock-dev,
         golang-github-jmoiron-sqlx-dev,
         golang-github-juju-ratelimit-dev,
         golang-github-kisielk-sqlstruct-dev,
         golang-github-kisom-goutils-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-zmap-zlint-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: CloudFlare's PKI and TLS toolkit
 CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command
 line tool and an HTTP API server for signing, verifying, and bundling
 TLS certificates. CFSSL can be used to build custom TLS PKI tools as
 well as create and manipulate traditional certificate structures
 using code or on the command line.
 .
 This package contains the development files.

Package: golang-cfssl
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CloudFlare's PKI and TLS toolkit
 CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command
 line tool and an HTTP API server for signing, verifying, and bundling
 TLS certificates. CFSSL can be used to build custom TLS PKI tools as
 well as create and manipulate traditional certificate structures
 using code or on the command line.
 .
 This package contains the command line executables.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 DH_VERBOSE=1
 
 export DH_GOLANG_EXCLUDES = whitelist/example
+export DH_GOLANG_INSTALL_ALL := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds1,filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/cloudflare/cfssl/releases?per_page=100 \
    https://api.github.com/repos/cloudflare/cfssl/tarball/@ANY_VERSION@
